Bug 185140 - WebProcess fails to launch
Summary: WebProcess fails to launch
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-04-30 11:56 PDT by Per Arne Vollan
Modified: 2018-05-18 15:28 PDT (History)
8 users (show)

See Also:


Attachments
Patch (1.74 KB, patch)
2018-04-30 11:59 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (1.68 KB, patch)
2018-05-01 10:37 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.74 MB, application/zip)
2018-05-01 12:14 PDT, EWS Watchlist
no flags Details
Patch (2.00 KB, patch)
2018-05-18 12:26 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2018-04-30 11:56:01 PDT
The macOS target version should be used to determine the runloop type.
Comment 1 Per Arne Vollan 2018-04-30 11:56:29 PDT
<rdar://problem/39585037>
Comment 2 Per Arne Vollan 2018-04-30 11:59:52 PDT
Created attachment 339133 [details]
Patch
Comment 3 Brent Fulgham 2018-04-30 16:58:06 PDT
Comment on attachment 339133 [details]
Patch

Looks good. r=me.
Comment 4 Per Arne Vollan 2018-04-30 18:54:19 PDT
Comment on attachment 339133 [details]
Patch

Thanks for reviewing!
Comment 5 WebKit Commit Bot 2018-04-30 19:22:08 PDT
Comment on attachment 339133 [details]
Patch

Clearing flags on attachment: 339133

Committed r231192: <https://trac.webkit.org/changeset/231192>
Comment 6 WebKit Commit Bot 2018-04-30 19:22:09 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 mitz 2018-04-30 19:25:37 PDT
Comment on attachment 339133 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=339133&action=review

> Source/WebKit/Configurations/WebContentService.xcconfig:64
> +RUNLOOP_TYPE = $(RUNLOOP_TYPE_$(PLATFORM_NAME)_$(TARGET_MAC_OS_X_VERSION_MAJOR));

We avoid using TARGET_MAC_OS_X_VERSION_MAJOR like this because it’s not future-proof. Please use the WK_MACOS_* machinery defined in WebKitTargetConditionals.xcconfig as described in the comments there.
Comment 8 Per Arne Vollan 2018-05-01 10:37:31 PDT
Reopening to attach new patch.
Comment 9 Per Arne Vollan 2018-05-01 10:37:32 PDT
Created attachment 339204 [details]
Patch
Comment 10 Per Arne Vollan 2018-05-01 10:52:49 PDT
(In reply to mitz from comment #7)
> Comment on attachment 339133 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=339133&action=review
> 
> > Source/WebKit/Configurations/WebContentService.xcconfig:64
> > +RUNLOOP_TYPE = $(RUNLOOP_TYPE_$(PLATFORM_NAME)_$(TARGET_MAC_OS_X_VERSION_MAJOR));
> 
> We avoid using TARGET_MAC_OS_X_VERSION_MAJOR like this because it’s not
> future-proof. Please use the WK_MACOS_* machinery defined in
> WebKitTargetConditionals.xcconfig as described in the comments there.

Thanks! I have updated the patch.
Comment 11 Brent Fulgham 2018-05-01 11:11:31 PDT
Comment on attachment 339204 [details]
Patch

Very cool! r=me
Comment 12 EWS Watchlist 2018-05-01 12:14:13 PDT
Comment on attachment 339204 [details]
Patch

Attachment 339204 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7526510

New failing tests:
http/tests/security/canvas-remote-read-remote-video-blocked-no-crossorigin.html
fast/dom/URL-attribute-reflection.html
http/tests/security/contentSecurityPolicy/video-with-https-url-allowed-by-csp-media-src-star.html
Comment 13 EWS Watchlist 2018-05-01 12:14:24 PDT
Created attachment 339213 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 14 WebKit Commit Bot 2018-05-01 12:57:22 PDT
Comment on attachment 339204 [details]
Patch

Clearing flags on attachment: 339204

Committed r231205: <https://trac.webkit.org/changeset/231205>
Comment 15 WebKit Commit Bot 2018-05-01 12:57:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Per Arne Vollan 2018-05-18 12:21:15 PDT
This is still a problem.
Comment 17 Per Arne Vollan 2018-05-18 12:26:40 PDT
Created attachment 340727 [details]
Patch
Comment 18 Geoffrey Garen 2018-05-18 13:14:50 PDT
Comment on attachment 340727 [details]
Patch

r=me

Can we test this -- or is it observable in an existing crash?
Comment 19 WebKit Commit Bot 2018-05-18 15:28:13 PDT
Comment on attachment 340727 [details]
Patch

Clearing flags on attachment: 340727

Committed r231984: <https://trac.webkit.org/changeset/231984>
Comment 20 WebKit Commit Bot 2018-05-18 15:28:15 PDT
All reviewed patches have been landed.  Closing bug.